> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# SCA問題のグループを一覧表示

> SCA問題をグループにまとめ、グループごとの件数とともに取得します。すべての問題をダウンロードしなくても、クライアントで概要を表示できます。GET /issues/scaと同じフィルターを使用できます。グループの詳細を確認するには、同じフィルターにpackage_exactを加えてGET /issues/scaを呼び出します。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /issues/sca/groups
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
  - url: https://eu.corgea.app/api/v1
    description: EU本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /issues/sca/groups:
    get:
      tags:
        - 問題
        - SCA
      summary: SCA問題のグループを一覧表示
      description: >-
        SCA問題をグループにまとめ、グループごとの件数とともに取得します。すべての問題をダウンロードしなくても、クライアントで概要を表示できます。GET
        /issues/scaと同じフィルターを使用できます。グループの詳細を確認するには、同じフィルターにpackage_exactを加えてGET
        /issues/scaを呼び出します。
      operationId: listScaIssueGroups
      parameters:
        - name: group_by
          in: query
          required: false
          schema:
            type: string
            enum:
              - package
            default: package
          description: SCA問題のグループ化の方法です。現在はpackageのみ指定できます。
        - name: breakdown
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: 各グループに重大度別とステータス別の件数を含めます
        - name: project
          in: query
          required: false
          schema:
            type: string
          description: プロジェクト名でSCA問題を絞り込みます
        - name: repo
          in: query
          required: false
          schema:
            type: string
          description: リポジトリURLでSCA問題を絞り込みます
        - name: branch
          in: query
          required: false
          schema:
            type: string
          description: ブランチ名でSCA問題を絞り込みます
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: ページネーションのページ番号
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 100
          description: 1ページあたりのグループ数
      responses:
        '200':
          description: SCA問題のグループを正常に取得したか、プロジェクトが見つかりません
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        example: ok
                      page:
                        type: integer
                      total_pages:
                        type: integer
                      total_groups:
                        type: integer
                      groups:
                        type: array
                        items:
                          $ref: '#/components/schemas/SCAIssuePackageGroup'
                  - type: object
                    properties:
                      status:
                        type: string
                        example: no_project_found
        '400':
          description: group_byの値が無効です
components:
  schemas:
    SCAIssuePackageGroup:
      type: object
      description: パッケージ名が同じSCA問題のグループです。
      properties:
        package:
          type: object
          properties:
            name:
              type: string
              example: lodash
            ecosystems:
              type: array
              items:
                type: string
              example:
                - npm
        issue_count:
          type: integer
          example: 4
        breakdown:
          $ref: '#/components/schemas/SCAIssueGroupBreakdown'
    SCAIssueGroupBreakdown:
      type: object
      description: グループ内の件数の内訳です。breakdownがtrueの場合のみ含まれます。
      properties:
        by_severity:
          type: object
          additionalProperties:
            type: integer
          example:
            CRITICAL: 1
            HIGH: 2
            MEDIUM: 1
            LOW: 0
        by_status:
          type: object
          additionalProperties:
            type: integer
          example:
            open: 3
            fixed: 1
            false_positive: 0
            accepted_risk: 0
            duplicate: 0
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.